package com.offline.music.playermp3.api;

import androidx.media3.exoplayer.offline.Download;

import com.offline.music.playermp3.javabean.BoxLikeSong;
import com.offline.music.playermp3.javabean.response.ResponsePlayListInfo;
import com.offline.music.playermp3.javabean.response.ResponseSearch;
import com.offline.music.playermp3.javabean.response.child.ResponseCategory;
import com.offline.music.playermp3.javabean.response.child.ResponseResultListChild;
import com.offline.music.playermp3.javabean.response.child.ResponseSearchChild;
import com.offline.music.playermp3.javabean.response.child.ResponseSingle;

public interface HomeItemClickListener {


    //首页点击了单曲
    default void onClickItemSinger(ResponseSingle data) {

    }


    //首页点击了分类合集
   default void onClickItemCategory(ResponseCategory data) {

   }


    //分类合集点击了某一首歌曲
    default void onClickItemCategoryList(ResponsePlayListInfo data,int musicIndex) {

    }


    /**
     * 点击了搜索建议
     * @param isSearch  true 直接搜索 false  输入搜索建议文字
     * @param data
     */
    default void onClickItemSuggestion(boolean isSearch,String data) {

    }


    /**
     * 点击搜索最佳结果第一个
     * @param
     */
    default void onClickSearchResultBest(ResponseSearch responseSearch){

    }

    /**
     * 点击搜索结果
     * @param
     */
    default void onClickSearchResult(ResponseSearchChild responseSearchChild){

    }
    /**
     * 搜索结果详情页面点击单曲
     * @param child
     * @param index
     */
    default void onClickResultSong(ResponseResultListChild child,int index){

    }

    default void onClickResultAlbum(ResponseResultListChild child,int index){

    }


    /**
     *   点击喜爱歌曲列表的某一首歌曲
     * @param boxLikeSong
     * @param index
     */
    default void onClickLikeSong(BoxLikeSong boxLikeSong, int index){

    }


    /**
     *   开始下载歌曲
     * @param boxLikeSong
     * @param index
     */
    default void onDownloadSong(String videoId, int index){

    }

    /**
     *   点击下载歌曲列表的某一首歌曲
     * @param index
     */
    default void onClickDownloadSong(Download download, int index){

    }

}
